# ReflectionClass::isInstance

(PHP 5, PHP 7)

ReflectionClass::isInstance — Checks class for instance

### Description

public ReflectionClass::isInstance ( object `$object` ) : bool

Checks if an object is an instance of a class.

### Parameters

`object`

  The object being compared to.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ReflectionClass::isInstance() related examples

`<?php
// Example usage
$class = new ReflectionClass('Foo');
if ($class->isInstance($arg)) {
echo "Yes";
}
// Equivalent to
if ($arg instanceof Foo) {
echo "Yes";
}
// Equivalent to
if (is_a($arg, 'Foo')) {
echo "Yes";
}
?>`

The above example will output something similar to:

    Yes
    Yes
    Yes

### See Also

- ReflectionClass::isInterface() - Checks if the class is an interface
- Type operators (instanceof)
- Object Interfaces
- is_a() - Checks if the object is of this class or has this class as one of its parents